petsc-3.7.7 2017-09-25
Report Typos and Errors

# KSPConvergedSkip

Convergence test that do not return as converged until the maximum number of iterations is reached.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPConvergedSkip(KSP ksp,PetscInt n,PetscReal rnorm,KSPConvergedReason *reason,void *dummy)

Collective on KSP

### Input Parameters

| ksp | - iterative context
| n | - iteration number
| rnorm | - 2-norm residual value (may be estimated)
| dummy | - unused convergence context

### Returns

reason -KSP_CONVERGED_ITERATING, KSP_CONVERGED_ITS

### Notes

This should be used as the convergence test with the option KSPSetNormType(ksp,KSP_NORM_NONE), since norms of the residual are not computed. Convergence is then declared after the maximum number of iterations have been reached. Useful when one is using CG or BiCGStab as a smoother.

### Keywords

KSP, default, convergence, residual

### See Also

KSPSetConvergenceTest(), KSPSetTolerances(), KSPSetNormType()

Level:advanced
Location:src/ksp/ksp/interface/iterativ.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages